if (!Promise) {
  var Promise = require("bluebird");
  // Configure
  Promise.config({
    longStackTraces: true,
    warnings: true // note, run node with --trace-warnings to see full stack traces for warnings
  })
}
const $ = require("jquery");
require('./../css/reset.css');
require('./../css/cdssHorizontal.less');
require('./../css/popup.css');
require('../css/staticSearch.less')
require('./../js/staticSearch.js');//静态知识搜索
require('./../images/empty2.png').replace(/^undefined/g, '')
require('./../images/dn.png').replace(/^undefined/g, '')
require('./../images/loading.gif').replace(/^undefined/g, '')
let emptyImg = require('./../images/empty3.png').replace(/^undefined/g, '')
require('./../images/new2.png').replace(/^undefined/g, '')
const { post, config, getUrlArgObject, openNewWin, titleConfigH, throttle, } = require('./promise.js');
let infoImg = require('./../images/icon_info.png').replace(/^undefined/g, '')
let infoImgOn = require('./../images/icon_info_on.png').replace(/^undefined/g, '')
let iconArrowUp = require('./../images/icon_arrow_up.png').replace(/^undefined/g, '')
let iconArrowDown = require('./../images/icon_arrow_down.png').replace(/^undefined/g, '')
let showImg = require('./../images/show2.png').replace(/^undefined/g, '')
let collapseImg = require('./../images/collapse2.png').replace(/^undefined/g, '')
let treatDisName, treatUniqueName
let generalTreatInfo
const { renderFollowUp } = require('./followUp.js');
const { getTcmMr } = require('./tcmiss.js');

let moduleConfig = {
  auxiliary: "recommendWrap",
  qc: "qcWrap",
  medical: "medicalKonwledgeWrap",
  followup: 'followUpWrap',
  tcmiss: 'tcmWarp',
}
let allInterface = 0
let hasCompleteTnterface = 0
let moduleNum = 0
let mrId = getUrlArgObject('mrId')
let pushMrId = getUrlArgObject('pushMrId')
const tipsMode = getUrlArgObject('tipsMode') || 1
let planCode = getUrlArgObject('planCode') || 'all'
let hospitalIdUrl = getUrlArgObject('hospitalId') || ''
let msg;
let tipsMsg;
let caseWriteStandradList;

function getMRInfo() {
  return post(config.getMr2, { mrId: mrId })
}
function getConf() {
  var msg = window.msg
  return post(config.getPushSet, { hospitalId: hospitalIdUrl || msg.hospitalId || 1, planCode: planCode })
}
function getPushInfo() {
  return post(config.pushInner, Object.assign({}, msg, {
    featureType: '1,4,5,6,7,8,9,10,12,13',
    hospitalId: hospitalIdUrl || msg.hospitalId,
    ruleType: config.ruleTypeMap['22']
  }))

}
function getPusgWarning() {
  const indPush = pushMrId ? config.indicationPushCache : config.indicationPush;
  return post(indPush, Object.assign({}, msg, { ruleType: '1,2,3,4', mrId: pushMrId || mrId }))
}
function getWriteStandardPush() {
  return post(config.caseWritingPrompt, Object.assign({}, msg, { hospitalId: 2 || msg.hospitalId }))
}

if (mrId) {
  Promise.all([getConf(), getMRInfo()]).then(([res1, res2]) => {
    const data = res1.data.data && res1.data.data[0]
    msg = res2.data.data || {}
    if (!(msg && msg.diseaseName && msg.diseaseName.name)) {
      msg.diseaseName = {}
    }
    window.msg = msg
    renderPage(data)
  })
} else {
  getConf().then(res => {
    if (res.data.code == '0') {
      // const configArr = res.data.data.pushSetList || []
      // getPageInfo(configArr)
      const data = res.data.data && res.data.data[0]
      renderPage(data)
    }
  })
}

function renderPage(pageSet) {
  if (!pageSet || !pageSet.sysSetInfo) {
    return
  }
  renderTab(pageSet.sysSetInfo)
  const iframeHei = $(".bodyWrap").height()
  const tabHei = $(".tabList").height()
  $(".contentWrapper").css("height", iframeHei - tabHei - 10 - 20 - 30 + 'px')
  const hasAuxiliary = hasTab("辅助信息", pageSet.sysSetInfo)
  const hasMedical = hasTab("医学知识", pageSet.sysSetInfo)
  const hasFollowUp = hasTab("随访计划", pageSet.sysSetInfo)
  const hasTcm = hasTab("中医辅助", pageSet.sysSetInfo)

  //所有模块都未开启配置，显示功能未开启（无tab)
  if(hasAuxiliary.status===0&&hasMedical.status===0&&hasFollowUp.status===0&&hasTcm.status===0){
      const nullTxt = `<div class="empty-box" style="left: -20px;display: block;">
                <img class="emptyImg" src="../images/icon_admin.png" alt="空">
                <p class="emptyTxt">功能未开启</p>
            </div>`
      $(".recommendWrap").html(nullTxt).show();
      return;
  }
  if (hasTcm) {
    getTcmMr(mrId, hasTcm);
  }

  const planDetail = hasAuxiliary.planDetails;
  const configs = planDetail.filter((it)=>it.status!==0)||[];
  if(!configs[0]){         //没有开启辅助信息各项配置
      $('.empty-box').hide();
      $('.recommendWrap .empty-right').show();
      return;
  }
  //有数据再设置宽度
  //setWidth()
  if (hasAuxiliary) {
    renderModuleWrapper(hasAuxiliary.planDetails)
    let needPush = isNeedPush(hasAuxiliary.planDetails)
    let needPushWarning = isNeedPushWarning(hasAuxiliary.planDetails)
    let needWriteStandardPush = isNeedwriteStandardPush(hasAuxiliary.planDetails)
    if (needPush || needPushWarning) {
      renderPushData()
      allInterface++
    }
    if (needPushWarning) {
      renderPushWarning()
      allInterface++
    }
    if (needWriteStandardPush) {
      renderCaseWrite()
      allInterface++
    }
    if (hasFollowUp) {
      renderFollowUp(msg, 1)
    }
  }
}
function renderTab(tabList) {
  if (!tabList) {
    return
  }
  let tabStr = ''
  let TabNum = 0
  for (let i = 0; i < tabList.length; i++) {
    if (tabList[i].status == '1') {
      TabNum++
      tabStr += `<span class="tab" data-name="${tabList[i].code}" ><span class="tabName">${tabList[i].name}</span><span class="activeLine"></span></span>`
    }

  }
  $(".tabList").append(tabStr)
  $(".tabList .tab").eq(0).addClass("activeTab")
  $(".tabList .tab").eq(0).addClass("activeTab")
  $(".tabList .tab .activeLine").eq(0).css({ display: "block" })
  // $(".tabList .tab").css("height", 1 / TabNum * 100 + '%')
  let showModuleName = $(".tabList .tab").eq(0).attr("data-name")
  getModuleShow(moduleConfig[showModuleName])
  bindTabClick()
  //setTabNameTop()
}
function hasTab(tabName, tabList) {
  for (let i = 0; i < tabList.length; i++) {
    if (tabList[i].name == tabName) {
      return tabList[i]
    }
  }
  return false
}

function renderModuleWrapper(moduleList) {
  if (!moduleList) {
    return
  }
  let moduleStr = '', treatStr = ""
  for (let i = 0; i < moduleList.length; i++) {
    if (moduleList[i].status != '0') {
      if (moduleList[i].code == 'general' || moduleList[i].code == 'medicine' || moduleList[i].code == 'operation' || moduleList[i].code == 'nurse') {
        treatStr += `<div class="moduleItem ${moduleList[i].code}"  data-num="${moduleList[i].number}" style="display:none"><span class="moduleItemTitBox"></span></div>`
      } else if (moduleList[i].code == 'critical') {
        moduleStr += `<div class="moduleItem warning"  data-num="${moduleList[i].number}" style="display:none"><span class="moduleItemTitBox"></span></div>`
        // moduleStr += `<div class="moduleItem tips"  data-num="${moduleList[i].number}" style="display:none"><span class="moduleItemTitBox"></span></div>`
      } else {
        moduleStr += `<div class="moduleItem ${moduleList[i].code}"  data-num="${moduleList[i].number}" style="display:none"><span class="moduleItemTitBox"></span></div>`
      }
    }

  }
  $(".recommendWrap .leftBox").append(moduleStr)
  $(".recommendWrap .rightBox").append(treatStr)
  /*if($(".moduleItem:visible").length===0){
      $(".empty-null").show();
  }*/

}
function isNeedPush(list) {
  let pushCode = ['critical',"diag", "lis", "pacs", "symptom", "vital","treat","medicines",'evaluation','general','medicine','operation','nurse']
  for (let i = 0; i < list.length; i++) {
    if (pushCode.indexOf(list[i].code) > -1) {
      if (list[i].status == "1") {
        return true
      }
    }
  }
  return false
}
function isNeedPushWarning(list) {
  let pushCode = ["crivalue", "rationali", "highrisk", "otherremind"]
  for (let i = 0; i < list.length; i++) {
    if (pushCode.indexOf(list[i].code.trim()) > -1) {
      if (list[i].status == "1") {
        return true
      }
    }
  }
  return false
}
function isNeedwriteStandardPush(list) {
  let pushCode = ["casewriting"]
  for (let i = 0; i < list.length; i++) {
    if (pushCode.indexOf(list[i].code) > -1) {
      if (list[i].status == "1") {
        return true
      }
    }
  }
  return false
}
function bindTabClick() {
  $(".tabList .tab").on("click", function () {
    $(".activeTab").removeClass("activeTab")
    $(".tabList .tab .activeLine").css({ display: "none" })
    $(this).addClass("activeTab")
    $(this).find('.activeLine').css({ display: "block" })
    const moduleName = $(this).attr("data-name")
    getModuleShow(moduleConfig[moduleName])
  })
}
function getModuleShow(moduleClassName) {
  if ($(`.${moduleClassName}`).css("display") == "none") {
    $(".moduleWrapper").css("display", "none")
    $(`.${moduleClassName}`).css("display", "block")
    //empty();
  }
}
function setTabNameTop() {
  const tabNameList = $(".tabList .tab .tabName")
  for (let i = 0; i < tabNameList.length; i++) {
    let tabNameHei = $(".tabList .tab .tabName").eq(i).height()
    // $(".tabList .tab .tabName").eq(i).css("marginTop", -tabNameHei / 2 + "px")
  }
}
function renderCaseWrite() {
  getWriteStandardPush().then(res => {
    hasCompleteTnterface++
    if (res.data.code == '0') {
      const caseWriteList = res.data.data || {}
      let caseWritePush = Object.keys(caseWriteList) || []

      renderwriteStandardPage(caseWritePush)
      if ($(".moduleItem.casewriting")) {
        let casewritingHei = $(".moduleItem.casewriting")[0].scrollHeight
        if (casewritingHei > 81) {
          $(".casewriting").append(`<span class="showMoreCaseWrite">更多</span>`)
          caseWriteStandradList = caseWritePush
          showMoreCaseWrite()
        }
      }
    }
  }).catch(()=>{
      $(".loading").hide()
  })
}
function renderPushData() {
  $(".loading").show()
  return getPushInfo().then(res => {
    hasCompleteTnterface++
    if (res.data.code == "0") {
      const result = res.data.data
      let diagPush = result.dis || {}
      let lisPush = result.lis || []
      let scalePush = result.scale || []
      let pacsPush = result.pacs || []
      let symptomPush = result.symptom || []
      let checkupPush = result.vital || []
      let medicinesPush = result.medicines || []
      let operationsPush = result.operations || []
      let nursePush = result.nurse || []
      let treatPush = result.treat && result.treat[0] || {}
      treatDisName = treatPush && treatPush["name"]
      treatUniqueName = treatPush && treatPush["uniqueName"]
      let generaTreatPush = treatPush && treatPush["generaTreat"]
      generalTreatInfo = generaTreatPush
      // let lisPush =[{name:"血常规",hisNameList:null},{name:"尿常规",hisNameList:null},{name:"尿常规",hisNameList:null},{name:"尿常规",hisNameList:null},{name:"尿常规",hisNameList:null},{name:"尿常规",hisNameList:null}]
      // let pacsPush = [{name:"胸部x射线",hisNameList:null},{name:"心电图",hisNameList:null}]
      // let checkupPush = [{name:"神志表情",hisNameList:null},{name:"面部表情",hisNameList:null}]
      let lisNum = $(".moduleItem.lis").attr("data-num") || 5
      let scaleNum = $(".moduleItem.evaluation").attr("data-num") || 5
      let pacsNum = $(".moduleItem.pacs").attr("data-num") || 5
      let checkupNum = $(".moduleItem.vital").attr("data-num") || 5
      let symptomNum = $(".moduleItem.symptom").attr("data-num") || 5
      let medicinesNum = $(".moduleItem.medicine").attr("data-num") || 5
      let operationsNum = $(".moduleItem.operation").attr("data-num") || 5
      let nurseNum = $(".moduleItem.nurse").attr("data-num") || 5

      renderLis(lisPush, lisNum)
      renderScale(scalePush, scaleNum)
      renderPacs(pacsPush, pacsNum)
      renderCheckup(checkupPush, checkupNum)
      renderSymptomPush(symptomPush, symptomNum)
      renderDiag(diagPush)
      if (medicinesPush.length > 0 || operationsPush.length > 0 || generaTreatPush || nursePush.length > 0) {
        let str = `<img class="treatIcon" src = ${titleConfigH["treat"].icon} /><span>${titleConfigH["treat"].name}</span>`
        $(".rightBoxTitle").append(str)
        renderDisName()
        $(".empty-box").hide();
        $(".rightWrapper").css("display", "block")
        if($(".leftBox .moduleItem:visible").length===0){   //左侧没有数据，右侧有数据时，右侧往左移
          $(".leftWrapper").css({"width":'0','padding':'0'});
          $(".rightWrapper").css("width",'100%');
        }
      } else {
        $(".empty-box").hide();
        $(".leftWrapper").css({
          borderRight: "0px",
          width: "100%"
        })
      }
      if ((!$(".moduleItem.medicine") && !$(".moduleItem.operation") && !(".moduleItem.general")) || ($(".moduleItem.general").length === 0 && $(".moduleItem.medicine").length === 0 && $(".moduleItem.operation").length === 0 && $(".moduleItem.nurse").length === 0)) {
        $(".rightWrapper").css("display", "none")
        $(".empty-box").hide();
        $(".leftWrapper").css({
          borderRight: "0px",
          width: "100%"
        })
      }

      rendergeneraTreatPush(generaTreatPush)
      renderMedicinesPush(medicinesPush, medicinesNum)
      renderOperationPush(operationsPush, operationsNum)
      renderNurse(nursePush, nurseNum)
      bindOpenInfo()
      bindSlide()
      moreInfo()
      empty()
    }
  }).catch(()=>{
      $(".loading").hide()
  })
}
function empty(){   //显示空状态
  setTimeout(function(){
      if($(".tabList .tab:first-child").is(".activeTab")&&$(".empty-right:visible").length===0&&$(".moduleItem:visible").length===0){
          $(".empty-box").hide();
          $(".empty-null").show();
      }
  },300);
}
function renderLis(list, showNum) {
  if (list.length > 0 && $(".moduleItem.lis").length > 0) {
    moduleNum++
    $('.moduleItem.lis .moduleItemTitBox').append(titleStr("lisPush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $('.moduleItem.lis').append(shortStr)
    $('.moduleItem.lis').append(renderLongStr(titleConfigH["lisPush"].name, longStr, titleConfigH["lisPush"].location))
    $('.moduleItem.lis').css("display", "block")
  }
}
function renderScale(list, showNum) {
  if (list.length > 0 && $(".moduleItem.evaluation").length > 0) {
    moduleNum++
    $('.moduleItem.evaluation .moduleItemTitBox').append(titleStr("scalePush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $('.moduleItem.evaluation').append(shortStr)
    $('.moduleItem.evaluation').append(renderLongStr(titleConfigH["scalePush"].name, longStr, titleConfigH["scalePush"].location))
    $('.moduleItem.evaluation').css("display", "block")
    // $('.moduleItem.evaluation').children(".shortBox").children(".pushItemBox").children(".pushItemName").addClass("evaluationtitle")
    // $('.moduleItem.evaluation').children(".longStrBox").children(".longBox").children(".pushItemBox").children(".pushItemName").addClass("evaluationtitle")
  }
}

function renderNurse(list, showNum) {
  if (list.length > 0 && $(".moduleItem.nurse").length > 0) {
    moduleNum++
    $('.moduleItem.nurse .moduleItemTitBox').append(titleStr("nursePush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $(".moduleItem.nurse").append(shortStr)
    $(".moduleItem.nurse").append(renderLongStr(titleConfigH["nursePush"].name, longStr, titleConfigH["nursePush"].location))
    $(".moduleItem.nurse").css("display", "block")
  }
}
function renderPacs(list, showNum) {
  if (list.length > 0 && $(".moduleItem.pacs").length > 0) {
    moduleNum++
    $('.moduleItem.pacs .moduleItemTitBox').append(titleStr("pacsPush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $(".moduleItem.pacs").append(shortStr)
    $(".moduleItem.pacs").append(renderLongStr(titleConfigH["pacsPush"].name, longStr, titleConfigH["pacsPush"].location))
    $('.moduleItem.pacs').css("display", "block")
  }

}
function renderSymptomPush(list, showNum) {
  if (list.length > 0 && $(".moduleItem.symptom").length > 0) {
    moduleNum++
    $('.moduleItem.symptom .moduleItemTitBox').append(titleStr("symptomPush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $(".moduleItem.symptom").append(shortStr)
    $(".moduleItem.symptom").append(renderLongStr(titleConfigH["symptomPush"].name, longStr, titleConfigH["symptomPush"].location))
    $('.moduleItem.symptom').css("display", "block")
  }

}
function renderMedicinesPush(list, showNum) {

  if (list.length > 0 && $(".moduleItem.medicine").length > 0) {
    moduleNum++
    $('.moduleItem.medicine .moduleItemTitBox').append(titleStr("drugPush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $(".moduleItem.medicine").append(shortStr)
    $(".moduleItem.medicine").append(renderLongStr(titleConfigH["drugPush"].name, longStr, titleConfigH["drugPush"].location))
    $(".moduleItem.medicine").css("display", "block")
  }

}
function renderOperationPush(list, showNum) {
  if (list.length > 0 && $(".moduleItem.operation").length > 0) {
    moduleNum++
    $('.moduleItem.operation .moduleItemTitBox').append(titleStr("operationPush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $(".moduleItem.operation").append(shortStr)
    $(".moduleItem.operation").append(renderLongStr(titleConfigH["operationPush"].name, longStr, titleConfigH["operationPush"].location))
    $(".moduleItem.operation").css("display", "block")
  }

}
function renderDisName() {
  $(".disName").append(`${treatDisName || ''}`)
}
function rendergeneraTreatPush(list) {
  if (list && list.length > 0 && $(".moduleItem.general").length > 0) {
    moduleNum++

    $('.moduleItem.general .moduleItemTitBox').append(titleStr("generaTreatPush"))
    let str = `<div class="generalTreatInfo clearfix isOverFlow">${list}</div>`
    $(".moduleItem.general").append(str)

    setTimeout(function () {
      let generaTreatHei = $(".moduleItem .generalTreatInfo")[0].scrollHeight
      if (generaTreatHei > 81) {
        $(".moduleItem .generalTreatInfo").append(`<span class="showMoreGeneralTreat">更多</span>`)
        bindGeneralSlide()
      }
    })


    $(".moduleItem.general").css("display", "block")
  }
}
function renderCheckup(list, showNum) {
  if (list.length > 0 && $(".moduleItem.vital").length > 0) {
    moduleNum++
    $(".moduleItem.vital .moduleItemTitBox").append(titleStr("checkupPush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $(".moduleItem.vital").append(shortStr)
    $(".moduleItem.vital").append(renderLongStr(titleConfigH["checkupPush"].name, longStr, titleConfigH["checkupPush"].location))
    $('.moduleItem.vital').css("display", "block")
  }
}
function renderDiag(diagPush) {
  let possibleDiagPush = diagPush["可能诊断"] || []
  let firstDiagPush = diagPush["既往诊断"] || []
  let identifyDiagPush = diagPush["鉴别诊断"] || []
  let warningDiagPush = diagPush["警惕"] || []
  let number = $('.moduleItem.diag').attr("data-num") || 5
  let warnNumber = $('.moduleItem.warning').attr("data-num") || 5

  $('.moduleItem.diag .moduleItemTitBox').append(titleStr("diagPush"))
  renderDiagItem(possibleDiagPush, "可能诊断", number)
  renderDiagItem(firstDiagPush, "既往诊断", number)
  renderDiagItem(identifyDiagPush, "鉴别诊断", number)
  renderWarningDiag(warningDiagPush, "警惕", 1000)
  moreInfo()
}
function renderDiagItem(list, name, number) {
  if (list.length === 0) {
    return
  }
  let titleStr = `<span class="moduleBoxName">${name}</span>`
  let { shortStr, longStr } = renderItemWrapper(list, number)
  let boxStr = `<div class="moduleBox">
        ${titleStr}
        ${shortStr}
      </div>`
  $(".diag").append(boxStr)
  $(".diag").append(renderLongStr(name, longStr, "left"))
  $('.moduleItem.diag').css("display", "block")
}
function renderWarningDiag(list, name, showNum) {
  if (list.length > 0 && $(".moduleItem.warning").length > 0) {
    moduleNum++
    $('.moduleItem.warning .moduleItemTitBox').append(titleStr("vigilancePush"))
    let { shortStr, longStr } = renderItemWrapper(list, showNum)
    $('.moduleItem.warning').append(shortStr)
    $('.moduleItem.warning').css("display", "block")
  }
}
function renderwriteStandardPage(list) {
  if (list.length > 0 && $(".moduleItem.casewriting").length > 0) {
    moduleNum++
    $(".moduleItem.casewriting .moduleItemTitBox").append(titleStr("casewritingPush"))
    let str = ``
    for (let i = 0; i < list.length; i++) {
      str += `<p>${list[i]}</p>`
    }
    $(".moduleItem.casewriting").append(str)
    $('.moduleItem.casewriting').css("display", "block")
  }
  empty()
}
function renderPushWarning() {
  return getPusgWarning().then(res => {
    hasCompleteTnterface++
    if (res.data.code == '0') {
      const result = res.data.data;
      let billMsgList = result.billMsgList || []  //开单合理性提醒
      let highRiskList = result.highRiskList || []  //高危药品、手术
      let criticalValList = result.criticalValList || []  //危急值提醒
      let noteList = result.noteList || []  //检查内容注意事项
      let dubugStr = result.dubugStr || []  //注意调试信息
      let otherList = result.otherList || []  //其他提醒
      renderBillingPush(billMsgList, '开单合理性', 'rationali')
      renderBillingPush(highRiskList, '高风险提示', 'highrisk')
      renderBillingPush(criticalValList, '危急值提醒', 'crivalue')
      renderBillingPush(noteList, '检查注意事项')
      renderBillingPush(otherList, '其他提醒', 'otherremind')
      const codes = ($(".rationali.tips").length ? 'rationali,' : "") + ($(".highrisk.tips").length ? 'highrisk,' : "") + ($(".crivalue.tips").length ? 'crivalue,' : "") + ($(".otherremind.tips").length ? 'otherremind' : "");
      $(".moduleItem.tips").wrapAll("<div class='tips-cont' codes=" + codes + "></div>");
      $('.tips-cont').append(titleStr('warning'))
      moreInfo()
      const hasTipsNum = $(".moduleItem.tips").length;
      if (hasTipsNum) {
        let tipNum = $(".tips-cont .billingPushItem").length;
        if (tipNum > 3) {
          $(".tips-cont").append(`<span class="showMoreNewPage">更多</span>`)
          tipsMsg = result
          showMoreNewPage()
        }
      }

      // renderBillingPush(dubugStr,'注意调试信息')

    }
    if (hasCompleteTnterface === allInterface) {
      $('.loading').css("display", "none")
      /*if (moduleNum === 0) {//console.log(999)
         empty()
      }*/
    }
    empty()

  }).catch(()=>{
      $(".loading").hide()
  })
}
function renderBillingPush(list, name, code) {
  if (list.length === 0) {
    return
  }
  let str = ``
  for (let i = 0; i < list.length; i++) {
    str += `<div class="billingPushItem">${list[i].msg}</div>`
  }
  let titleStr = `<span class="moduleBoxName">${name}</span>`
  let boxStr = `<div class="moduleBox">
        ${titleStr}
        ${str}
      </div>`
  $("." + code).append(boxStr)
  $('.moduleItem.' + code).addClass("tips").attr("code", code).css("display", "block")
}
function renderLongStr(name, longStr, location) {
  if (!longStr) {
    return
  }
  let str = `
    <div class="longStrBox" data-location="${location}">
      <span class="longStrBoxTitle">${name}：</span>
      ${longStr}
    </div>
  `
  return str
}


function renderItemWrapper(list, showNum) {
  let showNum1 = showNum || 5
  let shortStr = '', longStr = ''
  for (let i = 0; i < list.length; i++) {
    if (i <= showNum1 - 1) {
      shortStr += renderPushItem(list[i])
    }
    longStr += renderPushItem(list[i])
  }

  if (showNum1 >= list.length) {
    return {
      shortStr: `<div class="shortBox">${shortStr}</div>`,
      longStr: ''
    }
  } else {
    shortStr += `<span class="showMore"> <img class="iconArrowImg" src="${showImg}"></span>`
    longStr += `<span class="showLess"><img class="iconArrowImg"  src="${collapseImg}"></span>`
    return {
      shortStr: `<div class="shortBox clearfix">${shortStr}</div>`,
      longStr: `<div class="longBox clearfix">${longStr}</div>`
    }
  }
}
function renderPushItem(item) {
  str = `<span class="pushItemBox" data-name="${item.name}" data-type="${item.type}">`
  str += `${item.hasScale == "0" ? `<span class="pushItemName">${item.type == 8 ? ('【' + item.name + '】') : item.name}</span>` : item.hasScale == "1" ? `<span class="pushItemName evaluationtitle">${item.type == 8 ? ('【' + item.name + '】') : item.name}</span>` : `<span class="pushItemName">${item.type == 8 ? ('【' + item.name + '】') : item.name}</span>`}`
  str += `${item.hasInfo == "1" ? `<img class="infoImg" src="${infoImg}">` : ""}`
  str += '</span >'
  return str
}
function bindOpenInfo() {
  $(".infoImg").on("mouseenter", function () {
    $(this).attr("src", infoImgOn)
  }).on("mouseleave", function () {
    $(this).attr("src", infoImg)
  })
}


function titleStr(type) {
  let titleStr = ''
  titleStr += `<div class="moduleTitle"><img class="titleIcon" src=${titleConfigH[type].icon}>${titleConfigH[type].name}：</div>`
  return titleStr
}
function bindSlide() {
  $(".showMore").off("click").on("click", function () {
    const longBox = $(this).parent().next().length?$(this).parent().next():$(this).parent().parent().next();
    $(".longStrBox").css("display", "none")
      longBox.css("display", "block")
    let location = longBox.attr("data-location")
    let scrollTop = getLongTop(location)
      longBox.css("top", 5 + Number(scrollTop) + "px")
  })
  $(".showLess").off("click").on("click", function () {
    $(this).parent().parent().css("display", "none")
  })
  addScrollEvent()
}
function showMoreNewPage() {
  const codes = $(".tips-cont").attr("codes");
  $(".showMoreNewPage").on("click", function () {
    // openNewWin(`smartAlert.html?billMsgList=${encodeURIComponent(billMsgList)}&highRiskList=${encodeURIComponent(highRiskList)}&criticalValList=${encodeURIComponent(criticalValList)}&noteList=${encodeURIComponent(noteList)}`)
    openNewWin(`smartAlert.html?mrId=${mrId}&hospitalId=${hospitalIdUrl}&codes=` + codes);
  })
}
function showMoreCaseWrite() {
  $(".showMoreCaseWrite").on("click", function () {
    // openNewWin(`smartAlert.html?billMsgList=${encodeURIComponent(billMsgList)}&highRiskList=${encodeURIComponent(highRiskList)}&criticalValList=${encodeURIComponent(criticalValList)}&noteList=${encodeURIComponent(noteList)}`)
    openNewWin(`caseWriteStandard.html?caseWriteStandradList=${encodeURIComponent(JSON.stringify(caseWriteStandradList))}`)
  })
}
function bindGeneralSlide() {
  $(".showMoreGeneralTreat").on("click", function () {
    openNewWin(`generalTreat.html?disName=${treatDisName}&name=${treatUniqueName}`)
  })
}
/*function setWidth() {
  let winWidth = $(".bodyWrap").css("width")
  $(".contentBox").css("width", winWidth)
}*/

//医学知识搜索
searchMedical()
function searchMedical() {
  $(".medicalKonwledgeWrap .search").on("click", function () {
    openNewWin(`homeStatic.html?mrId=${mrId}&hospitalId=${hospitalIdUrl}&planCode=${planCode}`)
  })
}
function moreInfo() {
  $('.infoImg').off("click").click(function () {
    const name = $(this).parent().attr('data-name')
    const type = $(this).parent().attr('data-type')
    openNewWin(`staticInfo.html?type=${encodeURIComponent(type)}&position=0&name=${encodeURIComponent(name)}`)
  })
  $('.evaluationtitle').off("click").click(function () {
    const name = $(this).parent().attr('data-name')
    const type = $(this).parent().attr('data-type')
    openNewWin(`staticInfo.html?type=${encodeURIComponent(type)}&position=0&name=${encodeURIComponent(name)}&page=1&gauge=gauge`)
  })

}
function pushItemName() {
  $('.pushItemName').off("click").click(function () {
    console.log(11)
    const name = $(this).parent().attr('data-name')
    const type = $(this).parent().attr('data-type')
    console.log(name)
    openNewWin(`staticInfo.html?type=${encodeURIComponent(type)}&position=0&name=${encodeURIComponent(name)}`)
  })
}
function getVersion() {
  return post(config.getVersion, 'confArr').then((res) => {
    const data = res.data.data;
    const ver = localStorage.getItem('versionTime');
    const time = data.refreshTime;
    if (!ver || ver === time + "=new" || time !== ver.replace("=new", "")) {       //判断版本是否更新
      $(".versionBottom").addClass('new-icon');
      localStorage.setItem('versionTime', time + "=new");     //保存版本更新时间
    } else {
      $(".versionBottom").removeClass("new-icon");
    }
  })
}
function getLongTop(type) {
  let scrollTop = 0
  if (type === "left") {
    scrollTop = $(".leftWrapper").scrollTop() || 0
  } else if (type === "right") {
    scrollTop = $(".rightWrapper").scrollTop() || 0
  }
  return scrollTop
}
function addScrollEvent() {
  $(`.leftWrapper`).off("scroll").scroll(throttle(function () {

    if ($(".leftWrapper .longStrBox:visible").length) {
      $(".leftWrapper .longStrBox:visible").css("top", Number(getLongTop("left")) + 5 + "px")
    }
  }, 100));
  $(`.rightWrapper`).off("scroll").scroll(throttle(function () {
    if ($(".rightWrapper .longStrBox:visible").css("display") === "block") {
      $(".rightWrapper .longStrBox:visible").css("top", Number(getLongTop("right")) + 5 + "px")
    }
  }, 100));
}
$(function () {//隐藏logo
    if(getUrlArgObject("hideLg")){
        $(".versionTop .logoTxt").hide();
    }
  getVersion()
  $(".versionTop").on("click", function () {
    openNewWin("disclaimer.html")
  });
  $(".versionBottom").on("click", function () {
    const ver = localStorage.getItem('versionTime');
    $(".versionBottom").removeClass('new-icon');
    localStorage.setItem('versionTime', ver.replace("=new", ""));
    openNewWin("version.html");
  });
})


// function empty(){
  // $(".responsibility").css("display","none")
  // $('.recommendWrap .empty').css("display","block")
// }